--- Makefile.orig	2018-02-14 09:41:18.000000000 -0500
+++ Makefile	2020-07-20 20:46:04.000000000 -0400
@@ -2,20 +2,22 @@
 PREFIX ?= /usr/local
 BINDIR ?= $(PREFIX)/bin
 
-CC = gcc
-CFLAGS = -O2
+CC ?= gcc
+CFLAGS ?= -O2
 
 .PHONY: all install uninstall clean
 
-all:
-	gcc -o $(BIN) $(CFLAGS) -framework Foundation -framework ApplicationServices src/main.m
+all: $(BIN)
 
-install: all
-	install -d $(BINDIR)
-	install -m 755 $(BIN) $(BINDIR)
+$(BIN):
+	$(CC) -o $(BIN) $(CFLAGS) -framework Foundation -framework ApplicationServices src/main.m
+
+install: $(BIN)
+	install -d $(DESTDIR)$(BINDIR)
+	install -m 755 $(BIN) $(DESTDIR)$(BINDIR)
 
 uninstall:
-	rm -f $(BINDIR)/$(BIN)
+	rm -f $(DESTDIR)$(BINDIR)/$(BIN)
 
 clean:
-	rm -f $(BIN)
\ No newline at end of file
+	rm -f $(BIN)
